{ config, ... }:

let host = "push.dgnum.eu";

in {
  services.ntfy-sh = {
    enable = true;

    settings = {
      base-url = "https://${host}";
      enable-login = true;
      behind-proxy = true;
      manager-interval = "1h";
    };
  };

  services.nginx.virtualHosts.${host} = {
    enableACME = true;
    forceSSL = true;

    locations."/" = {
      proxyPass = "http://127.0.0.1:2586";
      proxyWebsockets = true;
    };
  };

  systemd.services.ntfy-sh.serviceConfig.EnvironmentFile =
    [ config.age.secrets."ntfy_sh-environment_file".path ];
}
